Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
Class PogoMetaClassGetPropertySite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.PogoMetaClassGetPropertySite

    class PogoMetaClassGetPropertySite
    extends AbstractCallSite

Field Summary

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`PogoMetaClassGetPropertySite(CallSite parent, MetaClass metaClass)`

Method Summary
`CallSite` | `acceptGetProperty(Object receiver)`
`CallSite` | `acceptGroovyObjectGetProperty(Object receiver)`
`Object` | `getProperty(Object receiver)`

Methods inherited from class AbstractCallSite
acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage, noCoerce, noWrappers

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### PogoMetaClassGetPropertySite

    public PogoMetaClassGetPropertySite(CallSite parent, MetaClass metaClass)

Method Detail

### acceptGetProperty

    public final CallSite acceptGetProperty(Object receiver)

### acceptGroovyObjectGetProperty

    public final CallSite acceptGroovyObjectGetProperty(Object receiver)

### getProperty

    public final Object getProperty(Object receiver)

Copyright © 2003-2009 The Codehaus. All rights reserved.